# Uses of Interface
org.eclipse.gef.GraphicalEditPart

Packages that use GraphicalEditPart
Package
Description
org.eclipse.gef
All interfaces, base types, and the plugin class are here.
org.eclipse.gef.editparts
This package contains abstract implementation of the EditPart interface.
org.eclipse.gef.editpolicies
This package contains EditPolicy implementations for many common editing Roles.
org.eclipse.gef.handles
This package provide several common handle implementations.
org.eclipse.gef.tools
This package provides several tool implementations.
org.eclipse.gef.ui.actions
This package support for using JFace Actions in your EditorPart.
org.eclipse.gef.ui.parts
org.eclipse.gef.util

## Uses of GraphicalEditPart in org.eclipse.gef

Subinterfaces of GraphicalEditPart in org.eclipse.gef
Modifier and Type
Interface
Description
`interface`
`ConnectionEditPart`
A specialization of `GraphicalEditPart` for representing connections.
`interface`
`NodeEditPart`
A specialized `GraphicalEditPart` that supports both target and source `ConnectionEditParts`.
Fields in org.eclipse.gef declared as GraphicalEditPart
Modifier and Type
Field
Description
`protected GraphicalEditPart`
SnapToGeometry.`container`
The container editpart providing the coordinates and the children to which snapping occurs.
`protected GraphicalEditPart`
SnapToGrid.`container`
The graphical part whose content's figure defines the grid.
`protected GraphicalEditPart`
SnapToGuides.`container`
The graphical editpart to which guides are relative.
Methods in org.eclipse.gef that return types with arguments of type GraphicalEditPart
Modifier and Type
Method
Description
`protected List<? extends GraphicalEditPart>`
SnapToGeometry.`generateSnapPartsList(List<? extends EditPart> exclusions)`
Generates a list of parts which should be snapped to.
`List<? extends GraphicalEditPart>`
GraphicalEditPart.`getChildren()`
The children of GraphicalEditparts have to be GraphicalEditParts.
Methods in org.eclipse.gef with parameters of type GraphicalEditPart
Modifier and Type
Method
Description
`protected org.eclipse.draw2d.geometry.Rectangle`
SnapToGeometry.`getFigureBounds(GraphicalEditPart part)`
Returns the rectangular contribution for the given editpart.
Method parameters in org.eclipse.gef with type arguments of type GraphicalEditPart
Modifier and Type
Method
Description
`protected void`
SnapToGeometry.`populateRowsAndCols(List<? extends GraphicalEditPart> parts)`
Updates the cached row and column Entries using the provided parts.
Constructors in org.eclipse.gef with parameters of type GraphicalEditPart
Modifier
Constructor
Description
``
`SnapToGeometry(GraphicalEditPart container)`
Constructs a helper that will use the given part as its basis for snapping.
``
`SnapToGrid(GraphicalEditPart container)`
Constructs a gridded snap helper on the given editpart.
``
`SnapToGuides(GraphicalEditPart container)`
Constructs a new snap-to-guides helper using the given container as the basis.

## Uses of GraphicalEditPart in org.eclipse.gef.editparts

Subinterfaces of GraphicalEditPart in org.eclipse.gef.editparts
Modifier and Type
Interface
Description
`interface`
`IScrollableEditPart`
Should be implemented by EditParts, to which an `ScrollableSelectionFeedbackEditPolicy` is to be registered, as it grants the edit policy type-safe access to the edit part's `IScrollableFigure`.
Classes in org.eclipse.gef.editparts that implement GraphicalEditPart
Modifier and Type
Class
Description
`class`
`AbstractConnectionEditPart`
The base implementation for `ConnectionEditPart`.
`class`
`AbstractGraphicalEditPart`
Default implementation for `GraphicalEditPart`.
`class`
`FreeformGraphicalRootEditPart`
A graphical root that uses `FreeformFigures` as the layers in the diagram.
`class`
`GraphicalRootEditPart`
Deprecated.
this class will be deleted, use ScrollingGraphicalViewer with ScalableRootEditPart instead
`class`
`ScalableFreeformRootEditPart`
Adds Zoom support to the standard FreeformGraphicalRootEditPart.
`class`
`ScalableRootEditPart`
A graphical root composed of regular `Layers`.
`class`
`SimpleRootEditPart`
Default implementation of RootEditPart for GraphicalViewers.
Fields in org.eclipse.gef.editparts declared as GraphicalEditPart
Modifier and Type
Field
Description
`protected GraphicalEditPart`
ViewportHelper.`owner`
`protected GraphicalEditPart`
ViewportHelper.`owner`
`protected GraphicalEditPart`
ViewportHelper.`owner`
Methods in org.eclipse.gef.editparts that return types with arguments of type GraphicalEditPart
Modifier and Type
Method
Description
`List<? extends GraphicalEditPart>`
AbstractGraphicalEditPart.`getChildren()`
Constructors in org.eclipse.gef.editparts with parameters of type GraphicalEditPart
Modifier
Constructor
Description
``
`ViewportAutoexposeHelper(GraphicalEditPart owner)`
Constructs a new helper on the given GraphicalEditPart.
``
`ViewportAutoexposeHelper(GraphicalEditPart owner, org.eclipse.draw2d.geometry.Insets threshold)`
Constructs a new helper on the given GraphicalEditPart.
``
`ViewportExposeHelper(GraphicalEditPart owner)`
Constructs a new ViewportExposeHelper on the specified GraphicalEditPart.
``
`ViewportMouseWheelHelper(GraphicalEditPart part)`
Constructor
``
`ViewportMouseWheelHelper(GraphicalEditPart part, int lineHeight, int pageHeight)`
Constructor

## Uses of GraphicalEditPart in org.eclipse.gef.editpolicies

Methods in org.eclipse.gef.editpolicies that return GraphicalEditPart
Modifier and Type
Method
Description
`GraphicalEditPart`
GraphicalEditPolicy.`getHost()`
Cast the parent getHost to GraphicalEditPart This reduces the necessary cast operations in this and all child classes as well as in any users of a GraphicalEditPolicy.
Methods in org.eclipse.gef.editpolicies with parameters of type GraphicalEditPart
Modifier and Type
Method
Description
`protected void`
ScrollableSelectionFeedbackEditPolicy.`createNodeFeedbackFigure(GraphicalEditPart childEditPart)`
Creates a ghost image feedback figure for the given `GraphicalEditPart`'s figure and adds it to the feedback layer.
`protected Object`
ConstrainedLayoutEditPolicy.`getConstraintFor(Request request, GraphicalEditPart child, org.eclipse.draw2d.geometry.Rectangle rectangle)`
Responsible of generating a draw2d constraint for the given Rectangle, which represents the already transformed (layout-relative) position and size of the given Request.
`protected Object`
ConstrainedLayoutEditPolicy.`getConstraintFor(ChangeBoundsRequest request, GraphicalEditPart child)`
Generates a draw2d constraint object for the given `ChangeBoundsRequest` and child EditPart by delegating to `ConstrainedLayoutEditPolicy.getConstraintFor(Request, GraphicalEditPart, Rectangle)`.
`protected Object`
XYLayoutEditPolicy.`getConstraintFor(Request request, GraphicalEditPart child, org.eclipse.draw2d.geometry.Rectangle rect)`
Overridden to preserve existing width and height (as well as preferred sizes) during MOVE requests.
`protected Object`
ConstrainedLayoutEditPolicy.`getConstraintForClone(GraphicalEditPart part, ChangeBoundsRequest request)`
Deprecated.
Use `ConstrainedLayoutEditPolicy.getConstraintFor(ChangeBoundsRequest, GraphicalEditPart)` instead.
`protected org.eclipse.draw2d.geometry.Rectangle`
XYLayoutEditPolicy.`getCurrentConstraintFor(GraphicalEditPart child)`
Retrieves the child's current constraint from the `LayoutManager`.
`protected org.eclipse.draw2d.geometry.Dimension`
XYLayoutEditPolicy.`getMinimumSizeFor(GraphicalEditPart child)`
Deprecated.
Clients should no longer extend this method.

## Uses of GraphicalEditPart in org.eclipse.gef.handles

Methods in org.eclipse.gef.handles that return GraphicalEditPart
Modifier and Type
Method
Description
`protected GraphicalEditPart`
AbstractHandle.`getOwner()`
Returns the `GraphicalEditPart` associated with this handle.
Methods in org.eclipse.gef.handles with parameters of type GraphicalEditPart
Modifier and Type
Method
Description
`static void`
ResizableHandleKit.`addCornerAndSideHandles(GraphicalEditPart part, List<Handle> handles)`
Fills the given List with handles at each corner and side of a figure.
`static void`
ResizableHandleKit.`addCornerAndSideHandles(GraphicalEditPart part, List<Handle> handles, DragTracker tracker, Cursor cursor)`
Fills the given List with handles at each corner and side of a figure.
`static void`
NonResizableHandleKit.`addCornerHandles(GraphicalEditPart part, List<Handle> handles)`
Fills the given List with handles at each corner of a figure.
`static void`
NonResizableHandleKit.`addCornerHandles(GraphicalEditPart part, List<Handle> handles, DragTracker tracker, Cursor cursor)`
Fills the given List with handles at each corner of a figure.
`static void`
NonResizableHandleKit.`addHandle(GraphicalEditPart part, List<Handle> handles, int direction)`
Adds a single handle in the given direction to the given List.
`static void`
NonResizableHandleKit.`addHandle(GraphicalEditPart part, List<Handle> handles, int direction, DragTracker tracker, Cursor cursor)`
Adds a single handle in the given direction to the given List.
`static void`
ResizableHandleKit.`addHandle(GraphicalEditPart part, List<Handle> handles, int direction)`
Adds a single handle in the given direction to the given List.
`static void`
ResizableHandleKit.`addHandle(GraphicalEditPart part, List<Handle> handles, int direction, DragTracker tracker, Cursor cursor)`
Adds a single handle in the given direction to the given List with the given DragTracker
`static void`
NonResizableHandleKit.`addHandles(GraphicalEditPart part, List<Handle> handles)`
Deprecated.
`static void`
NonResizableHandleKit.`addHandles(GraphicalEditPart part, List<Handle> handles, DragTracker tracker, Cursor cursor)`
Deprecated.
`static void`
ResizableHandleKit.`addHandles(GraphicalEditPart part, List<Handle> handles)`
Deprecated.
`static void`
NonResizableHandleKit.`addMoveHandle(GraphicalEditPart f, List<Handle> handles)`
Fills the given List with move borders at each side of a figure.
`static void`
NonResizableHandleKit.`addMoveHandle(GraphicalEditPart f, List<Handle> handles, DragTracker tracker, Cursor cursor)`
Fills the given List with move borders at each side of a figure.
`static void`
ResizableHandleKit.`addMoveHandle(GraphicalEditPart f, List<Handle> handles)`
Fills the given List with move borders at each side of a figure.
`static void`
ResizableHandleKit.`addMoveHandle(GraphicalEditPart f, List<Handle> handles, DragTracker tracker, Cursor cursor)`
Fills the given List with move borders with the given DragTracker at each side of a figure.
`static Handle`
NonResizableHandleKit.`moveHandle(GraphicalEditPart owner)`
Returns a new `MoveHandle` with the given owner.
`static Handle`
NonResizableHandleKit.`moveHandle(GraphicalEditPart owner, DragTracker tracker, Cursor cursor)`
Returns a new `MoveHandle` with the given owner.
`static Handle`
ResizableHandleKit.`moveHandle(GraphicalEditPart owner)`
Returns a new `MoveHandle` with the given owner.
`static Handle`
ResizableHandleKit.`moveHandle(GraphicalEditPart owner, DragTracker tracker, Cursor cursor)`
Returns a new `MoveHandle` with the given owner and DragTracker.
`protected void`
AbstractHandle.`setOwner(GraphicalEditPart editpart)`
Sets the owner editpart associated with this handle.
Constructors in org.eclipse.gef.handles with parameters of type GraphicalEditPart
Modifier
Constructor
Description
``
`AbstractHandle(GraphicalEditPart owner, org.eclipse.draw2d.Locator loc)`
Creates a handle for the given `GraphicalEditPart` using the given `Locator`.
``
`AbstractHandle(GraphicalEditPart owner, org.eclipse.draw2d.Locator loc, Cursor c)`
Creates a handle for the given `GraphicalEditPart` using the given `Locator` and `Cursor`.
``
`MoveHandle(GraphicalEditPart owner)`
Creates a MoveHandle for the given `GraphicalEditPart` using a default `Locator`.
``
`MoveHandle(GraphicalEditPart owner, org.eclipse.draw2d.Locator loc)`
Creates a MoveHandle for the given `GraphicalEditPart` using the given `Locator`.
``
`NonResizableHandle(GraphicalEditPart owner)`
Deprecated.
``
`NonResizableHandle(GraphicalEditPart owner, org.eclipse.draw2d.Locator loc)`
Deprecated.
``
`ResizeHandle(GraphicalEditPart owner, int direction)`
Creates a new ResizeHandle for the given GraphicalEditPart.
``
`ResizeHandle(GraphicalEditPart owner, org.eclipse.draw2d.Locator loc, Cursor c)`
Creates a new ResizeHandle for the given GraphicalEditPart.
``
`SquareHandle(GraphicalEditPart owner, org.eclipse.draw2d.Locator loc)`
Creates a SquareHandle for the given `GraphicalEditPart` with the given `Locator`.
``
`SquareHandle(GraphicalEditPart owner, org.eclipse.draw2d.Locator loc, Cursor c)`
Creates a SquareHandle for the given `GraphicalEditPart` with the given `Cursor` using the given `Locator`.

## Uses of GraphicalEditPart in org.eclipse.gef.tools

Methods in org.eclipse.gef.tools that return GraphicalEditPart
Modifier and Type
Method
Description
`protected GraphicalEditPart`
DirectEditManager.`getEditPart()`
Returns the source edit part.
`protected GraphicalEditPart`
ResizeTracker.`getOwner()`
Returns the owner of this resize tracker.
`protected GraphicalEditPart`
ResizeTracker.`getTargetEditPart()`
The TargetEditPart is the parent of the EditPart being resized.
Methods in org.eclipse.gef.tools that return types with arguments of type GraphicalEditPart
Modifier and Type
Method
Description
`protected Collection<? extends GraphicalEditPart>`
MarqueeSelectionTool.`calculateMarqueeSelectedEditParts()`
Called from `MarqueeSelectionTool.performMarqueeSelect()` to determine those `GraphicalEditPart`s that are affected by the current marquee selection.
Methods in org.eclipse.gef.tools with parameters of type GraphicalEditPart
Modifier and Type
Method
Description
`protected boolean`
MarqueeSelectionTool.`isMarqueeSelectable(GraphicalEditPart editPart)`
Decides whether the given edit part may potentially be included in the current marquee selection.
`protected void`
DirectEditManager.`setEditPart(GraphicalEditPart source)`
Sets the source edit part.
Constructors in org.eclipse.gef.tools with parameters of type GraphicalEditPart
Modifier
Constructor
Description
``
`DirectEditManager(GraphicalEditPart source, Class<? extends CellEditor> editorType, CellEditorLocator locator)`
Constructs a new DirectEditManager for the given source edit part.
``
`DirectEditManager(GraphicalEditPart source, Class<? extends CellEditor> editorType, CellEditorLocator locator, Object feature)`
Constructs a new DirectEditManager for the given source edit part.
``
`ResizeTracker(GraphicalEditPart owner, int direction)`
Constructs a resize tracker that resizes in the specified direction.

## Uses of GraphicalEditPart in org.eclipse.gef.ui.actions

Methods in org.eclipse.gef.ui.actions with parameters of type GraphicalEditPart
Modifier and Type
Method
Description
`protected org.eclipse.draw2d.geometry.Point`
PasteTemplateAction.`getPasteLocation(GraphicalEditPart container)`

## Uses of GraphicalEditPart in org.eclipse.gef.ui.parts

Methods in org.eclipse.gef.ui.parts that return GraphicalEditPart
Modifier and Type
Method
Description
`protected GraphicalEditPart`
GraphicalViewerKeyHandler.`getFocusEditPart()`
Methods in org.eclipse.gef.ui.parts that return types with arguments of type GraphicalEditPart
Modifier and Type
Method
Description
`protected List<? extends GraphicalEditPart>`
GraphicalViewerKeyHandler.`getNavigationSiblings()`
Returns the list of editparts which are conceptually at the same level of navigation as the currently focused editpart.
`protected List<? extends GraphicalEditPart>`
PaletteViewerKeyHandler.`getNavigationSiblings()`

## Uses of GraphicalEditPart in org.eclipse.gef.util

Methods in org.eclipse.gef.util that return types with arguments of type GraphicalEditPart
Modifier and Type
Method
Description
`static LinkedHashSet<? extends GraphicalEditPart>`
EditPartUtilities.`getAllChildren(GraphicalEditPart parentEditPart)`
Returns the transitive child edit part set of the given parent `GraphicalEditPart`.
Methods in org.eclipse.gef.util with parameters of type GraphicalEditPart
Modifier and Type
Method
Description
`static LinkedHashSet<? extends GraphicalEditPart>`
EditPartUtilities.`getAllChildren(GraphicalEditPart parentEditPart)`
Returns the transitive child edit part set of the given parent `GraphicalEditPart`.
`static HashSet<? extends ConnectionEditPart>`
EditPartUtilities.`getAllNestedConnectionEditParts(GraphicalEditPart graphicalEditPart)`
Returns the transitive nested connection edit parts.
`static HashSet<? extends ConnectionEditPart>`
EditPartUtilities.`getNestedConnectionEditParts(GraphicalEditPart graphicalEditPart)`
Returns the set of `ConnectionEditPart`s that are linked to the child edit parts of the given `GraphicalEditPart`.